using Application.Abstractions.Messaging;

namespace Application.Features.Admin.Forum.BoardManager.Save;

public sealed record Command(
    int BoardID,
    Command.Create? NewItem,
    IReadOnlyList<Command.Update>? Updates,
    int[]? DeleteIDs
) : ICommand
{
    public sealed record Create(
        int MemberID,
        bool CanEdit,
        bool CanDelete
    );

    public sealed record Update(
        int ID,
        bool CanEdit,
        bool CanDelete
    );
}